public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
From: git@ipfire.org
To: ipfire-scm@lists.ipfire.org
Subject: [IPFire-SCM] [git.ipfire.org] IPFire 3.x development tree branch, master, updated. 547ccc0c3ca267b7aa506ab9f70bf733ae6d561a
Date: Thu, 09 Feb 2012 16:48:24 +0100	[thread overview]
Message-ID: <20120209154902.4F55D200C0@argus.ipfire.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 7491 bytes --]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 3.x development tree".

The branch, master has been updated
       via  547ccc0c3ca267b7aa506ab9f70bf733ae6d561a (commit)
       via  a195aecd6490238171128fc6ac0e7c055f7a7363 (commit)
       via  b52dd7ea83d285b92d5fcd81491aaa3e8f1e6016 (commit)
      from  1a7bf898c9ae964f6c82dbba2d20369149fc41a1 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 547ccc0c3ca267b7aa506ab9f70bf733ae6d561a
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date:   Thu Feb 9 16:44:49 2012 +0100

    udev: Update to version 181.
    
    Requires kmod >= 5.

commit a195aecd6490238171128fc6ac0e7c055f7a7363
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date:   Thu Feb 9 16:44:26 2012 +0100

    kmod: Update to version 5.

commit b52dd7ea83d285b92d5fcd81491aaa3e8f1e6016
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date:   Thu Feb 9 15:51:59 2012 +0100

    bash-completion: New package.
    
    Adds automatic completion on command line for lots of basic
    commands.

-----------------------------------------------------------------------

Summary of changes:
 .../bash-completion-1.99-redefine_filedir.bash     |   49 ++++++++++++++++++++
 bash-completion/bash-completion.nm                 |   39 ++++++++++++++++
 .../patches/bash-completion-1.99-noblacklist.patch |   12 +++++
 kmod/kmod.nm                                       |    4 +-
 udev/udev.nm                                       |    4 +-
 5 files changed, 105 insertions(+), 3 deletions(-)
 create mode 100644 bash-completion/bash-completion-1.99-redefine_filedir.bash
 create mode 100644 bash-completion/bash-completion.nm
 create mode 100644 bash-completion/patches/bash-completion-1.99-noblacklist.patch

Difference in files:
diff --git a/bash-completion/bash-completion-1.99-redefine_filedir.bash b/bash-completion/bash-completion-1.99-redefine_filedir.bash
new file mode 100644
index 0000000..f8c2a38
--- /dev/null
+++ b/bash-completion/bash-completion-1.99-redefine_filedir.bash
@@ -0,0 +1,49 @@
+# This is a copy of the _filedir function in bash_completion, included
+# and (re)defined separately here because some versions of Adobe
+# Reader, if installed, are known to override this function with an
+# incompatible version, causing various problems.
+#
+# https://bugzilla.redhat.com/677446
+# http://forums.adobe.com/thread/745833
+
+_filedir()
+{
+    local i IFS=$'\n' xspec
+
+    _tilde "$cur" || return 0
+
+    local -a toks
+    local quoted tmp
+
+    _quote_readline_by_ref "$cur" quoted
+    toks=( $(
+        compgen -d -- "$quoted" | {
+            while read -r tmp; do
+                # TODO: I have removed a "[ -n $tmp ] &&" before 'printf ..',
+                #       and everything works again. If this bug suddenly
+                #       appears again (i.e. "cd /b<TAB>" becomes "cd /"),
+                #       remember to check for other similar conditionals (here
+                #       and _filedir_xspec()). --David
+                printf '%s\n' $tmp
+            done
+        }
+    ))
+
+    if [[ "$1" != -d ]]; then
+        # Munge xspec to contain uppercase version too
+        # http://thread.gmane.org/gmane.comp.shells.bash.bugs/15294/focus=15306
+        xspec=${1:+"!*.@($1|${1^^})"}
+        toks+=( $( compgen -f -X "$xspec" -- $quoted ) )
+    fi
+
+    # If the filter failed to produce anything, try without it if configured to
+    [[ -n ${COMP_FILEDIR_FALLBACK:-} && \
+        -n "$1" && "$1" != -d && ${#toks[@]} -lt 1 ]] && \
+        toks+=( $( compgen -f -- $quoted ) )
+
+    if [[ ${#toks[@]} -ne 0 ]]; then
+        # 2>/dev/null for direct invocation, e.g. in the _filedir unit test
+        compopt -o filenames 2>/dev/null
+        COMPREPLY+=( "${toks[@]}" )
+    fi
+} # _filedir()
diff --git a/bash-completion/bash-completion.nm b/bash-completion/bash-completion.nm
new file mode 100644
index 0000000..6e0eda4
--- /dev/null
+++ b/bash-completion/bash-completion.nm
@@ -0,0 +1,39 @@
+###############################################################################
+# IPFire.org    - An Open Source Firewall Solution                            #
+# Copyright (C) - IPFire Development Team <info(a)ipfire.org>                   #
+###############################################################################
+
+name       = bash-completion
+version    = 1.99
+release    = 1
+arch       = noarch
+
+groups     = Development/Languages
+url        = http://bash-completion.alioth.debian.org/
+license    = GPLv2+
+summary    = Programmable completion for Bash.
+
+description
+	bash-completion is a collection of shell functions that take advantage
+	of the programmable completion feature of bash.
+end
+
+source_dl  = http://bash-completion.alioth.debian.org/files/
+sources    = %{thisapp}.tar.bz2
+
+build
+	install_cmds
+		rm -rvf %{BUILDROOT}%{datadir}/bash-completion/completions/{cawsay,cowthink}
+
+		install -Dpm 644 %{DIR_SOURCE}/bash-completion-1.99-redefine_filedir.bash \
+			%{BUILDROOT}%{sysconfdir}/bash_completion.d/redefine_filedir
+	end
+end
+
+packages
+	package %{name}
+
+	requires
+		bash >= 4.1
+	end
+end
diff --git a/bash-completion/patches/bash-completion-1.99-noblacklist.patch b/bash-completion/patches/bash-completion-1.99-noblacklist.patch
new file mode 100644
index 0000000..f3cd42e
--- /dev/null
+++ b/bash-completion/patches/bash-completion-1.99-noblacklist.patch
@@ -0,0 +1,12 @@
+diff -up bash-completion-1.99/bash_completion~ bash-completion-1.99/bash_completion
+--- bash-completion-1.99/bash_completion~	2012-01-08 01:03:46.000000000 +0200
++++ bash-completion-1.99/bash_completion	2012-01-08 13:50:33.412012530 +0200
+@@ -45,7 +45,7 @@ readonly BASH_COMPLETION_COMPAT_DIR
+ 
+ # Blacklisted completions, causing problems with our code.
+ #
+-_blacklist_glob='@(acroread.sh)'
++_blacklist_glob='@()' 
+ 
+ # Turn on extended globbing and programmable completion
+ shopt -s extglob progcomp
diff --git a/kmod/kmod.nm b/kmod/kmod.nm
index b55b87c..926ef42 100644
--- a/kmod/kmod.nm
+++ b/kmod/kmod.nm
@@ -4,7 +4,7 @@
 ###############################################################################
 
 name       = kmod
-version    = 4
+version    = 5
 release    = 1
 
 groups     = System/Kernel
@@ -37,6 +37,8 @@ build
 		--with-xz \
 		--with-zlib
 
+	# The testsuite does generate lots of errors.
+
 	install_cmds
 		# Remove RPATH from /bin/kmod
 		chrpath --delete %{BUILDROOT}/bin/kmod
diff --git a/udev/udev.nm b/udev/udev.nm
index 977b75c..8ea216a 100644
--- a/udev/udev.nm
+++ b/udev/udev.nm
@@ -4,7 +4,7 @@
 ###############################################################################
 
 name       = udev
-version    = 180
+version    = 181
 release    = 1
 
 groups     = System/Base
@@ -25,7 +25,7 @@ build
 		gobject-introspection-devel
 		gperf
 		kbd
-		kmod-devel >= 3
+		kmod-devel >= 5
 		libacl-devel
 		libblkid-devel >= 2.20
 		libselinux-devel


hooks/post-receive
--
IPFire 3.x development tree

                 reply	other threads:[~2012-02-09 15:48 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20120209154902.4F55D200C0@argus.ipfire.org \
    --to=git@ipfire.org \
    --cc=ipfire-scm@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox